<?PHP
/******************************************
 *  Bot Check v1.2
 *  Author: Amit D. Chaudhary (amit_ml@rajgad.com)
 *  Original Author: Brian Schneider (brian@blueeye.us)
 *  URL: http://blog.rajgad.com/work/software/2006-11/bot-check-12-wordpress-anti-spam-comment-plugin.html
 *  Date: 6 Nov 2006
 *  Copyright (C) 2005  Blue Eye Web Development
 *	Copyright (C) 2006 amit_ml@rajgad.com
*/
   

require( dirname(__FILE__) . '/bc-config.php' );
$enctext = strtr($_GET['human'], " ", "+");
$code = decrypt(base64_decode($enctext));
#$code = decrypt(base64_decode($_GET['human']);

/*** initialize image class, place text, and display ***/
$bc_image = new bc_image;
$im = $bc_image->build_image($code);
header("Content-Type: image/png");
imagepng($im);

/**************************************************************************
                        BOT CHECK IMAGE CLASS
 **************************************************************************/
class bc_image {
  var $code;
  var $textColor;
  
  /*** CONSTRUCTOR ***/
  function bc_image() {
    global $CONFIG;
    // Init. Variables
    $this->imageSize  = GetImageSize(dirname(__FILE__) . '/' . $CONFIG['image_background']);
    $this->imgWidth   = $this->imageSize[0];
    $this->imgHeight  = $this->imageSize[1];
	$this->font_type = $CONFIG['font_type'];
	$this->text_color = $CONFIG['font_color']; // Text color to be displayed
    $this->im = imagecreatefrompng(dirname(__FILE__) . '/' . $CONFIG['image_background']) or die("Cannot Initialize new GD image stream for Image");
  } // end function bc_image()
  
  // Function centers
  function placeText() {
    global $CONFIG;
	
    // Vertical Align
    $line_height = imagefontheight($font);
    $y = floor($this->imgHeight/2 - $line_height);
           
    // Horizontal Align
    $line_width = $CONFIG['code_length'] * imagefontwidth($this->font_type);
    $x = floor($this->imgWidth/2 - $line_width/2);

   // Draw
    imagestring($this->im, $this->font_type, $x, $y, $this->code, $this->textColor);
  } // end function imagestringbox()

  // Function checks to see if a variable is a properly formatted hex color
  function IS_HEX ($var) {
    return (ereg('^#([a-fA-F0-9]){6}$', $var) && strlen($var) == 7) ? true : false;
  }
  
  // function creates a background color	  
  function color_text() {
    // Allocate and set color for text
    if($this->IS_HEX($this->text_color)) {
      $hex = $this->text_color;
      $this->text_color = "hex";
    }
    switch (strtolower($this->text_color)) {
	  /*** add more colors by inserting new case and changing rgb values ***/
      case 'black' :
	    $this->textColor = ImageColorAllocate($this->im,   0,   0,   0);
		break;
      case 'red' :
	    $this->textColor = ImageColorAllocate($this->im, 255,   0,   0); 
		break;
      case 'green' :
	    $this->textColor = ImageColorAllocate($this->im,   0, 255,   0);
		break;
      case 'blue' :
	    $this->textColor = ImageColorAllocate($this->im,   0,   0, 255); 
		break;
      case 'hex' :
	    $this->textColor = ImageColorAllocate($this->im,  hexdec(substr($hex, 1, 2)),  hexdec(substr($hex, 3, 2)),  hexdec(substr($hex, 5, 2)));
		break;
      case 'white' :
	  default :
	    $this->textColor = ImageColorAllocate($this->im, 255, 255, 255); 
		break;
    }
  }
  
  function build_image($code = 'SECRET') {
    global $CONFIG;
	$this->code = $code;
    $this->color_text();
    $this->placeText();           /* Leading */
	return $this->im;
  } // end function build_image()
} // end cypres_image class
?>